{
	File:		ActionHandlerHeader.p

	Contains:	xxx put contents here xxx

	Written by:	Kevin Aitken

	Copyright:	 1993 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		<10>	 6/21/94	KBA		Updating action IDs because we accidently got the .h and .p
									files out of sync for Rsrc Atoms.
		 <9>	 1/12/94	KBA		Changed "Res" to "Rsrc" for resource progress definitions.
		 <8>	12/21/93	KBA		Added kMenuEventActID.
		 <7>	 11/5/93	KBA		Added more actions.
		 <6>	10/27/93	KBA		Added more progress actions.
		 <5>	10/25/93	KBA		Added more progress actions.
		 <4>	 4/30/93	KBA		Made only one Action Atom progress action.
		 <3>	 4/23/93	KBA		Added action handler constants for rule clauses and few more
									progress actions.
		 <2>	 4/11/93	KBA		Added new DebuggerAction identifier (kStdEventActID).
		 <1>	  4/1/93	KBA		first checked in

}


UNIT ActionHandlerHeader;


{****************************************} INTERFACE {****************************************}


CONST	

{==================================================================================================}
{=================================== Script Action Class ==========================================}
{==================================================================================================}
		kScriptAction				= 5000;
		kPackageNotFoundActID		= 5001;
		kAtomNotFoundInPackageActID	= 5002;
		kFrameworkNotFoundActID		= 5003;
		kRuleNotFoundActID			= 5004;
		kFileSpecNotFoundActID		= 5005;
		kFileSpecIsBadActID			= 5006;
		kCouldNotOpenScriptActID	= 5007;
		kFileSpecIDIsBadActID		= 5008;
		kAtomIDIsBadActID			= 5009;
		kNotEnoughMemoryToReadActID	= 5010;
		kSubHeapToSmallActID		= 5011;
		kFileSpecNotFndWithRefActID	= 5012;
		kVersCompareNotFoundActID	= 5013;
		kSearchProcNotFoundActID	= 5014;
		kRuleFunctionNotFoundActID	= 5015;

{==================================================================================================}
{==================================== Rule Action Class ===========================================}
{==================================================================================================}
		kRemapActionResultToCancel	= 1;
		kRemapActionResultToError	= -1;
		kRemapActionResultToTRUE	= 1;
		kRemapActionResultToFALSE	= -1;
		kDontRemapActionResult		= 0;

		kFireRulesAction			= 5100;
		kFrameworkActID				= 5101;
		kRuleResultActID			= 5102;
		kRuleClauseResultActID		= 5103;

{==================================================================================================}
{=================================== Target Action Class ==========================================}
{==================================================================================================}

		kTargetAction				= 5200;
		kTgtFileNotFoundActID		= 5201;
		kTgtFileLockedActID			= 5202;
		kTgtErrForFileAtomActID		= 5203;
		kTgtErrForRsrcAtomActID		= 5204;
		kTgtErrForFontAtomActID		= 5205;
		kTgtMatchesSrcErrActID		= 5206;
		kTgtErrForFolderAtomActID	= 5207;
		kTgtErrForResMergeAtomActID	= 5208;


{==================================================================================================}
{=================================== Source Action Class ==========================================}
{==================================================================================================}
		kSourceAction				= 5300;
		kSrcFileNotFoundActID		= 5301;
		kSrcErrForFileAtomActID		= 5302;
		kSrcErrForRsrcAtomActID		= 5303;
		kSrcErrForFontAtomActID		= 5304;
		kSrcErrForFolderAtomActID	= 5305;
		kSrcErrForResMergeAtomActID	= 5306;

{==================================================================================================}
{=================================== Extender Action Class ========================================}
{==================================================================================================}
		kExtenderAction				= 5400;
		kExtCodeRsrcNotFoundActID	= 5401;
		kExtenderRsrcNotFoundActID	= 5402;
		kCallBackNotAvailableActID	= 5403;
		kExtenderResultActID		= 5404;
		kA5NotSetCorrectlyActID		= 5405;
		kTgtSetupProcNotFoundActID	= 5406;
		kVersCodeRsrcNotFoundActID	= 5407;
		kActionAtomCodeRsrcNFActID	= 5408;
		kSearchProcCodeRsrcNFActID	= 5409;
		kSearchProcBadFileActID		= 5410;
		kRuleFuncCodeRsrcNFActID	= 5411;
		kLowModuleSetupMemoryActID	= 5412;
		kNoModuleSetupMemoryActID	= 5413;

{==================================================================================================}
{=================================== Debugging Action Class =======================================}
{==================================================================================================}
		kDebuggingAction			= 5600;
		kInitializationActID		= 5601;
		kCloseActID					= 5602;
		kStdEventActID				= 5603;
		kGenericDebugActID			= 5604;
		kMenuEventActID				= 5605;

{==================================================================================================}
{=================================== Progress Action Class ========================================}
{==================================================================================================}
		kProgressAction				= 5700;
		kClickedInstallActID		= 5701;
		kClickedRemoveActID			= 5702;
		kInstallationResultActID	= 5703;
		kRemovalResultActID			= 5704;
		kActionAtomResultActID		= 5705;

{==================================================================================================}
{================================== File Process Action Class =====================================}
{==================================================================================================}
		kFileProgressAction			= 5800;
		kFileCopiedID				= 5801;
		kFileNotCopiedID			= 5802;
		kFileNotCopiedNewerLeftID	= 5803;
		kFileNotCopiedLockedID		= 5804;
		kFileUpdatedID				= 5805;
		kFileNotUpdatedKeptExistID	= 5806;
		kFileNotUpdatedNotExistID	= 5807;
		kFileRemovedID				= 5808;
		kFileNotRemovedID			= 5809;
		kFileNotRemovedNoExistID	= 5810;
		kFileNotRemovedLockedID		= 5811;
		kFileSetLockedID			= 5812;
		
{==================================================================================================}
{===================================== Resource Process Action Class ==============================}
{==================================================================================================}
		kRsrcProgressAction			= 5900;
		kRsrcCopiedID				= 5901;
		kRsrcNotCopiedID			= 5902;
		kRsrcNotCopiedNewerLeftID	= 5903;
		kRsrcNotCopiedNotTargetID	= 5904;
		kRsrcNotCopiedProtectedID	= 5905;
		kRsrcUpdatedID				= 5906;
		kRsrcNotUpdatedKeptExistID	= 5907;
		kRsrcNotUpdatedLockedID		= 5908;
		kRsrcNotUpdatedNotExistID	= 5909;
		kRsrcNotUpdatedProtectedID	= 5910;
		kRsrcRemovedID				= 5911;
		kRsrcNotRemovedID			= 5912;
		kRsrcNotRemovedNoExistID	= 5913;
		kRsrcNotRemovedProtectedID	= 5914;
		kRsrcNotRemovedLockedID		= 5915;
												
{==================================================================================================}
{===================================== Font Process Action Class ==================================}
{==================================================================================================}
		kFontProgressAction			= 6000;
		kFontCopiedID				= 6001;
		kFontNotCopiedID			= 6002;
		kFontUpdatedID				= 6003;
		kFontNotUpdatedKeptExistID	= 6004;
		kFontNotUpdatedLockedID		= 6005;
		kFontNotUpdatedNotExistID	= 6006;
		kFontNotUpdatedProtectedID	= 6007;
		kFontRemovedID				= 6008;
		kFontNotRemovedID			= 6009;
		kFontNotRemovedNoExistID	= 6010;
		kFontNotRemovedLockedID		= 6011;
		kFontNotRemovedProtectedID	= 6012;

{==================================================================================================}
{==================================== Folder Process Action Class =================================}
{==================================================================================================}
		kFolderProgressAction		= 6100;
		kFolderCopiedID				= 6101;


{==================================================================================================}
{=================================== ResMerge Process Action Class ================================}
{==================================================================================================}
		kResMergeProgressAction		= 6200;
		kResMergeCopiedID			= 6201;

IMPLEMENTATION
	{ Implemented by you }

END.		{ ActionHandlerHeader UNIT }



